Suppress Messages

View as MarkdownOpen in Claude

Disables a messageId, or series of messageIds, that will no longer prompt the user.

POST /iserver/questions/suppress

Request Object

Body Param

messageIds: Array of Strings.
The identifier for each warning message to suppress.
The array supports up to 51 messages sent in a single request. Any additional values will result in a system error.
The only supported message IDs are listed in our Suppressible Message IDs list. However, users should look to suppress messages on an as-needed basis to avoid unexpected order submissions.

1request_url = f"{baseUrl}/iserver/questions/suppress"
2json_content = {
3 "messageIds": ["o102"]
4}
5requests.post(url=request_url, json=json_content)

Response Object

status: String.
Verifies that the request has been sent.

{
"status": "submitted"
}